#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
using ProjetTheAlone.Classes;
using ProjetTheAlone.Acces;
#endregion

namespace ProjetTheAlone.Gestion
{
 /// <summary>
 /// Couche intermédiaire de gestion (Business Layer)
 /// </summary>
 public class G_T_listPlat : G_Base
 {
  #region Constructeurs
  public G_T_listPlat()
   : base()
  { }
  public G_T_listPlat(string sChaineConnexion)
   : base(sChaineConnexion)
  { }
  #endregion
  public int Ajouter(int ID_repa, int ID_plat)
  { return new A_T_listPlat(ChaineConnexion).Ajouter(ID_repa, ID_plat); }
  public int Modifier(int ID_listPlat, int ID_repa, int ID_plat)
  { return new A_T_listPlat(ChaineConnexion).Modifier(ID_listPlat, ID_repa, ID_plat); }
  public List<C_T_listPlat> Lire(string Index)
  { return new A_T_listPlat(ChaineConnexion).Lire(Index); }
  public C_T_listPlat Lire_ID(int ID_listPlat)
  { return new A_T_listPlat(ChaineConnexion).Lire_ID(ID_listPlat); }
  public int Supprimer(int ID_listPlat)
  { return new A_T_listPlat(ChaineConnexion).Supprimer(ID_listPlat); }
 }
}
