#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
using ProjetTheAlone.Classes;
using ProjetTheAlone.Acces;
#endregion

namespace ProjetTheAlone.Gestion
{
 /// <summary>
 /// Couche intermédiaire de gestion (Business Layer)
 /// </summary>
 public class G_T_repa : G_Base
 {
  #region Constructeurs
  public G_T_repa()
   : base()
  { }
  public G_T_repa(string sChaineConnexion)
   : base(sChaineConnexion)
  { }
  #endregion
  public int Ajouter(int? ID_listPlat, int? ID_typeRepa)
  { return new A_T_repa(ChaineConnexion).Ajouter(ID_listPlat, ID_typeRepa); }
  public int Modifier(int ID_repa, int? ID_listPlat, int? ID_typeRepa)
  { return new A_T_repa(ChaineConnexion).Modifier(ID_repa, ID_listPlat, ID_typeRepa); }
  public List<C_T_repa> Lire(string Index)
  { return new A_T_repa(ChaineConnexion).Lire(Index); }
  public C_T_repa Lire_ID(int ID_repa)
  { return new A_T_repa(ChaineConnexion).Lire_ID(ID_repa); }
  public int Supprimer(int ID_repa)
  { return new A_T_repa(ChaineConnexion).Supprimer(ID_repa); }
 }
}
